<?php
$file = "http://www.heureka.cz/direct/dotaznik/export-review.php?key=XXX";	// XXX je třeba nahradit klíčem z vaší administrace heureky
$heurekaxml = "heureka_recenze/heureka.file";
$ch = curl_init($file);
$fp = @fopen($heurekaxml, "w");
curl_setopt($ch, CURLOPT_FILE, $fp);
curl_setopt($ch, CURLOPT_HEADER, 0);
curl_exec($ch);
curl_close($ch);
fclose($fp);

$handle = fopen($heurekaxml, 'r');
while (!feof($handle)) {
	$buffer.=fgets($handle,4096);
}
fclose($handle);

if ($result = simplexml_load_string($buffer)) {
	$zapis=array();
	foreach($result as $row) {
		$unix_timestamp=trim($row->unix_timestamp);
		$rok=date("Y",$unix_timestamp);
		$unix_date=date("d.m.Y H:i:s",$unix_timestamp);
		$total_rating=trim($row->total_rating);
		$total_rating=str_replace(".","",$total_rating);
		$summary=nl2br(trim($row->summary));
		$reaction=nl2br(trim($row->reaction));
		$pro=nl2br(trim($row->pros));
		$proti=nl2br(trim($row->cons));
		$jmeno=nl2br(trim($row->name));
		if ($jmeno!="") $unix_date.=", ".$jmeno;
		$zapis[$rok].="<div class=\"hodnoceni\">";
		if ($unix_date) $zapis[$rok].="<div class=\"hodnoceni_date\">$unix_date</div>";
		if ($total_rating) $zapis[$rok].="<div class=\"hodnoceni_rating\"><img src=\"/heureka_stars/s".$total_rating.".png\" /></div>";
		if ($summary) $zapis[$rok].="<div class=\"hodnoceni_summary\">$summary</div>";
		if ($pro) $zapis[$rok].="<div class=\"hodnoceni_pro\"><h4>Pro:</h4>$pro</div>";
		if ($proti) $zapis[$rok].="<div class=\"hodnoceni_proti\"><h4>Proti:</h4>$proti</div>";
		if ($reaction) $zapis[$rok].="<div class=\"hodnoceni_reaction\"><h4>Vyjádření obchodu</h4>$reaction</div>";
		$zapis[$rok].="</div>";
	}
	foreach ($zapis as $key => $value) {
		$handle=fopen("heureka_recenze/$key.txt","w");
		fwrite($handle,$value);
		fclose($handle);
	}
}
?>